% Skript buck_down3.m, in dem das Modell
% buck_down_3.mdl initialisiert und aufgerufen wird
clear;
% -------- Parameter der Schaltung
R = 5;           L = 0.001;     C = 100e-6;
Rc = 0.5;
Ui = 5;
f0 = 0.2e5;      T = 1/f0;      T2 = T/2;
Rmax = 2*L/T2,
%R = 2*Rmax,
R = 0.1*Rmax,
alpha = 1/(1+Rc/R);

% -------- Aufruf der Simulation
Tfinal = 0.05,
dt = 0.5e-6;
sim('buck_down_3',[0:dt:Tfinal]);
t = y.time;
iL = y.signals.values(:,1);
u0 = y.signals.values(:,2);

figure(1);     clf;
n = length(t);
subplot(211), plot(t, iL);
axis tight;  grid on;
title('Strom der Induktivität iL(t)');
xlabel('Zeit in s');
subplot(212), plot(t, u0);
axis tight;  grid on;
title('Spannung der Kapazität u0(t)');
xlabel('Zeit in s');

figure(2);     clf;
nd = n-1000;
subplot(211), plot(t(nd:end), iL(nd:end));
axis tight;  grid on;
title('Strom der Induktivität iL(t) (Ausschnitt)');
xlabel('Zeit in s');
subplot(212), plot(t(nd:end), u0(nd:end));
axis tight;  grid on;
title('Spannung der Kapazität u0(t) (Ausschnitt)');
xlabel('Zeit in s');
